CON
  _clkmode      = xtal1 + pll16x                        ' use crystal x 16
  _xinfreq      = 5_000_000

  ' kye sd numbers
  _dopin = 24
  _clkpin = 25
  _dipin = 26
  _cspin = 27
  _cdpin = -1 ' -1 if unused.
  _wppin = -1 ' -1 if unused.
  _rtcres1 = -1 ' -1 always.
  _rtcres2 = -1 ' -1 always.  
  _rtcres3 = -1 ' -1 always.  
  _statuspin = -1 ' Status LED pin number.
  
   
OBJ
   fat:           "SD-MMC_FATEngine.spin"                   ' Kye's latest sd driver and no RTC
   sio:           "FullDuplexSerial"   

PUB Main 
  sio.start(31,30,0,115200)
  repeat 200
     sio.str(string("Startup delay 7 secs", 13, 10))
  sio.str(string("Starting SD driver", 13, 10))    
  fat.fatEngineStart( _dopin, _clkpin, _dipin, _cspin, _wppin, _cdpin, _rtcres1, _rtcres2, _rtcres3)
  fat.mountPartition(0)                                 ' mount the sd card
  sio.str(string("SD mounted", 13, 10))
  fat.newfile(string("Test.txt"))
  result := \fat.openfile(string("Test.txt"),"W")
  fat.writestring(string("Hello World"))
  fat.closefile                                       ' close the file
  sio.str(string("File written to Test.txt", 13, 10))    