#include <propeller.h>
#include "TestSD.h"

extern "C" {
#include <setjmp.h>
}
typedef struct { jmp_buf jmp; int32_t val; } AbortHook__;
AbortHook__ *abortChain__ __attribute__((common));

int32_t TestSD::Main(void)
{
  int32_t result = 0;
  Sio.Start(31, 30, 0, 115200);
  int32_t _idx__0054;
  _idx__0054 = 100;
  do {
    Sio.Str((int32_t)"Startup delay 7 secs\r\n");
    _idx__0054 = (_idx__0054 + -1);
  } while (_idx__0054 >= 1);
  Sio.Str((int32_t)"Starting SD driver\r\n");
  Fat.Fatenginestart(24, 25, 26, 27, -1, -1, -1, -1, -1);
  Fat.Mountpartition(0);
  Sio.Str((int32_t)"SD mounted\r\n");
  Fat.Newfile((int32_t)"Test.txt");
  result = __extension__({ AbortHook__ *stack__ = abortChain__, here__; int32_t tmp__; abortChain__ = &here__; if (setjmp(here__.jmp) == 0) tmp__ = Fat.Openfile((int32_t)"Test.txt", 'W'); else tmp__ = here__.val; abortChain__ = stack__; tmp__; });
  Fat.Writestring((int32_t)"Hello World");
  Fat.Closefile();
  Sio.Str((int32_t)"File written to Test.txt\r\n");
  return result;
}


TestSD MainObj__;

int main() {
  return MainObj__.Main();
}
