#ifndef TestSD_Class_Defined__
#define TestSD_Class_Defined__

#include <stdint.h>
#include "SD-MMC_FATEngine.h"
#include "FullDuplexSerial.h"

class TestSD {
public:
  static const int _clkmode = 1032;
  static const int _xinfreq = 5000000;
  static const int _dopin = 24;
  static const int _clkpin = 25;
  static const int _dipin = 26;
  static const int _cspin = 27;
  static const int _cdpin = -1;
  static const int _wppin = -1;
  static const int _rtcres1 = -1;
  static const int _rtcres2 = -1;
  static const int _rtcres3 = -1;
  static const int _statuspin = -1;
  SD_MMC_FATEngine	Fat;
  FullDuplexSerial	Sio;
  int32_t	Main(void);
private:
};

#endif
